% Computing a lower bound on the L2 norm by taking the maximum of the L2
% norms obtained at frozen scheduling values.


clear all; close all;


%% Select an example

example=4;

switch example
    case 1,
        lpvsys=@lpvsys_harald; M=200;
    case 2,
        r=1;
        lpvsys=@(p) lpvsys_catws(p,r); M=200;
    case 3,
        lpvsys=@lpvsys_process; M=1000;
        lpvsys_process('init');
    case 4,
        lpvsys=@lpvsys_rotated; M=50;
end;


%% The algorithm starts here
[~,~,~,rho_bnds,nu_bnds]=lpvsys([]);
rho_grid=mgrid(rho_bnds,M,nu_bnds,1);
gL=-1;
for i=1:size(rho_grid,1)
    [A,B,C,D]=lpvsys(rho_grid(i,:));
    gi=norm(ss(A,B,C,D),inf,1e-8);
    if gi>gL, gL=gi; grd=rho_grid(i,:); end;
end;
[gL grd]

